# tinkoff_invest_client

TinkoffInvestClient - the Ruby gem for the OpenAPI

tinkoff.ru/invest OpenAPI.

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build tinkoff_invest_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./tinkoff_invest_client-1.0.0.gem
```

(for development, run `gem install --dev ./tinkoff_invest_client-1.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'tinkoff_invest_client', '~> 1.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/ThinkAndRun/tinkoff_invest_client, then add the following in the Gemfile:

    gem 'tinkoff_invest_client', :git => 'https://github.com/ThinkAndRun/tinkoff_invest_client.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'tinkoff_invest_client'

# Setup authorization
TinkoffInvestClient.configure do |config|
  # Configure Bearer authorization: sso_auth
  config.access_token = 'YOUR_BEARER_TOKEN'
end

api_instance = TinkoffInvestClient::MarketApi.new

begin
  #Получение списка облигаций
  result = api_instance.market_bonds_get
  p result
rescue TinkoffInvestClient::ApiError => e
  puts "Exception when calling MarketApi->market_bonds_get: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://api-invest.tinkoff.ru/openapi*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*TinkoffInvestClient::MarketApi* | [**market_bonds_get**](docs/MarketApi.md#market_bonds_get) | **GET** /market/bonds | Получение списка облигаций
*TinkoffInvestClient::MarketApi* | [**market_candles_get**](docs/MarketApi.md#market_candles_get) | **GET** /market/candles | Получение исторических свечей по FIGI
*TinkoffInvestClient::MarketApi* | [**market_currencies_get**](docs/MarketApi.md#market_currencies_get) | **GET** /market/currencies | Получение списка валютных пар
*TinkoffInvestClient::MarketApi* | [**market_etfs_get**](docs/MarketApi.md#market_etfs_get) | **GET** /market/etfs | Получение списка ETF
*TinkoffInvestClient::MarketApi* | [**market_orderbook_get**](docs/MarketApi.md#market_orderbook_get) | **GET** /market/orderbook | Получение стакана по FIGI
*TinkoffInvestClient::MarketApi* | [**market_search_by_figi_get**](docs/MarketApi.md#market_search_by_figi_get) | **GET** /market/search/by-figi | Получение инструмента по FIGI
*TinkoffInvestClient::MarketApi* | [**market_search_by_ticker_get**](docs/MarketApi.md#market_search_by_ticker_get) | **GET** /market/search/by-ticker | Получение инструмента по тикеру
*TinkoffInvestClient::MarketApi* | [**market_stocks_get**](docs/MarketApi.md#market_stocks_get) | **GET** /market/stocks | Получение списка акций
*TinkoffInvestClient::OperationsApi* | [**operations_get**](docs/OperationsApi.md#operations_get) | **GET** /operations | Получение списка операций
*TinkoffInvestClient::OrdersApi* | [**orders_cancel_post**](docs/OrdersApi.md#orders_cancel_post) | **POST** /orders/cancel | Отмена заявки
*TinkoffInvestClient::OrdersApi* | [**orders_get**](docs/OrdersApi.md#orders_get) | **GET** /orders | Получение списка активных заявок
*TinkoffInvestClient::OrdersApi* | [**orders_limit_order_post**](docs/OrdersApi.md#orders_limit_order_post) | **POST** /orders/limit-order | Создание лимитной заявки
*TinkoffInvestClient::OrdersApi* | [**orders_market_order_post**](docs/OrdersApi.md#orders_market_order_post) | **POST** /orders/market-order | Создание рыночной заявки
*TinkoffInvestClient::PortfolioApi* | [**portfolio_currencies_get**](docs/PortfolioApi.md#portfolio_currencies_get) | **GET** /portfolio/currencies | Получение валютных активов клиента
*TinkoffInvestClient::PortfolioApi* | [**portfolio_get**](docs/PortfolioApi.md#portfolio_get) | **GET** /portfolio | Получение портфеля клиента
*TinkoffInvestClient::SandboxApi* | [**sandbox_clear_post**](docs/SandboxApi.md#sandbox_clear_post) | **POST** /sandbox/clear | Удаление всех позиций
*TinkoffInvestClient::SandboxApi* | [**sandbox_currencies_balance_post**](docs/SandboxApi.md#sandbox_currencies_balance_post) | **POST** /sandbox/currencies/balance | Выставление баланса по валютным позициям
*TinkoffInvestClient::SandboxApi* | [**sandbox_positions_balance_post**](docs/SandboxApi.md#sandbox_positions_balance_post) | **POST** /sandbox/positions/balance | Выставление баланса по инструментным позициям
*TinkoffInvestClient::SandboxApi* | [**sandbox_register_post**](docs/SandboxApi.md#sandbox_register_post) | **POST** /sandbox/register | Регистрация клиента в sandbox
*TinkoffInvestClient::SandboxApi* | [**sandbox_remove_post**](docs/SandboxApi.md#sandbox_remove_post) | **POST** /sandbox/remove | Удаление счета
*TinkoffInvestClient::UserApi* | [**user_accounts_get**](docs/UserApi.md#user_accounts_get) | **GET** /user/accounts | Получение брокерских счетов клиента


## Documentation for Models

 - [TinkoffInvestClient::BrokerAccountType](docs/BrokerAccountType.md)
 - [TinkoffInvestClient::Candle](docs/Candle.md)
 - [TinkoffInvestClient::CandleResolution](docs/CandleResolution.md)
 - [TinkoffInvestClient::Candles](docs/Candles.md)
 - [TinkoffInvestClient::CandlesResponse](docs/CandlesResponse.md)
 - [TinkoffInvestClient::Currencies](docs/Currencies.md)
 - [TinkoffInvestClient::Currency](docs/Currency.md)
 - [TinkoffInvestClient::CurrencyPosition](docs/CurrencyPosition.md)
 - [TinkoffInvestClient::Empty](docs/Empty.md)
 - [TinkoffInvestClient::Error](docs/Error.md)
 - [TinkoffInvestClient::ErrorPayload](docs/ErrorPayload.md)
 - [TinkoffInvestClient::InstrumentType](docs/InstrumentType.md)
 - [TinkoffInvestClient::LimitOrderRequest](docs/LimitOrderRequest.md)
 - [TinkoffInvestClient::LimitOrderResponse](docs/LimitOrderResponse.md)
 - [TinkoffInvestClient::MarketInstrument](docs/MarketInstrument.md)
 - [TinkoffInvestClient::MarketInstrumentList](docs/MarketInstrumentList.md)
 - [TinkoffInvestClient::MarketInstrumentListResponse](docs/MarketInstrumentListResponse.md)
 - [TinkoffInvestClient::MarketInstrumentResponse](docs/MarketInstrumentResponse.md)
 - [TinkoffInvestClient::MarketOrderRequest](docs/MarketOrderRequest.md)
 - [TinkoffInvestClient::MarketOrderResponse](docs/MarketOrderResponse.md)
 - [TinkoffInvestClient::MoneyAmount](docs/MoneyAmount.md)
 - [TinkoffInvestClient::Operation](docs/Operation.md)
 - [TinkoffInvestClient::OperationStatus](docs/OperationStatus.md)
 - [TinkoffInvestClient::OperationTrade](docs/OperationTrade.md)
 - [TinkoffInvestClient::OperationType](docs/OperationType.md)
 - [TinkoffInvestClient::OperationTypeWithCommission](docs/OperationTypeWithCommission.md)
 - [TinkoffInvestClient::Operations](docs/Operations.md)
 - [TinkoffInvestClient::OperationsResponse](docs/OperationsResponse.md)
 - [TinkoffInvestClient::Order](docs/Order.md)
 - [TinkoffInvestClient::OrderResponse](docs/OrderResponse.md)
 - [TinkoffInvestClient::OrderStatus](docs/OrderStatus.md)
 - [TinkoffInvestClient::OrderType](docs/OrderType.md)
 - [TinkoffInvestClient::Orderbook](docs/Orderbook.md)
 - [TinkoffInvestClient::OrderbookResponse](docs/OrderbookResponse.md)
 - [TinkoffInvestClient::OrdersResponse](docs/OrdersResponse.md)
 - [TinkoffInvestClient::PlacedLimitOrder](docs/PlacedLimitOrder.md)
 - [TinkoffInvestClient::PlacedMarketOrder](docs/PlacedMarketOrder.md)
 - [TinkoffInvestClient::Portfolio](docs/Portfolio.md)
 - [TinkoffInvestClient::PortfolioCurrenciesResponse](docs/PortfolioCurrenciesResponse.md)
 - [TinkoffInvestClient::PortfolioPosition](docs/PortfolioPosition.md)
 - [TinkoffInvestClient::PortfolioResponse](docs/PortfolioResponse.md)
 - [TinkoffInvestClient::SandboxAccount](docs/SandboxAccount.md)
 - [TinkoffInvestClient::SandboxCurrency](docs/SandboxCurrency.md)
 - [TinkoffInvestClient::SandboxRegisterRequest](docs/SandboxRegisterRequest.md)
 - [TinkoffInvestClient::SandboxRegisterResponse](docs/SandboxRegisterResponse.md)
 - [TinkoffInvestClient::SandboxSetCurrencyBalanceRequest](docs/SandboxSetCurrencyBalanceRequest.md)
 - [TinkoffInvestClient::SandboxSetPositionBalanceRequest](docs/SandboxSetPositionBalanceRequest.md)
 - [TinkoffInvestClient::SearchMarketInstrument](docs/SearchMarketInstrument.md)
 - [TinkoffInvestClient::SearchMarketInstrumentResponse](docs/SearchMarketInstrumentResponse.md)
 - [TinkoffInvestClient::TradeStatus](docs/TradeStatus.md)
 - [TinkoffInvestClient::UserAccount](docs/UserAccount.md)
 - [TinkoffInvestClient::UserAccounts](docs/UserAccounts.md)
 - [TinkoffInvestClient::UserAccountsResponse](docs/UserAccountsResponse.md)


## Documentation for Authorization


### sso_auth

- **Type**: Bearer authentication

